import * as R from 'ramda';
import * as Rx from 'rxjs';
import { Exchange, Options } from './types';
export declare const exchangeOrderObservableCreators: {
    [Exchange.RADAR_RELAY]: (options: Options) => Rx.Observable<import("./types").OrderMessage | import("./types").SnapshotMessage>;
    [Exchange.KRAKEN]: (options: Options) => Rx.Observable<{
        event: import("./types").StandardizedMessageType;
        exchange: Exchange;
        base: string;
        quote: string;
        asks: import("./types").Order[];
        bids: import("./types").Order[];
    }>;
    [Exchange.KYBER]: (options: Options) => Rx.Observable<import("./types").SnapshotMessage>;
};
export declare const createExchangeOrderObservable: R.CurriedFunction2<Options, Exchange, Rx.Observable<import("./types").OrderMessage | import("./types").SnapshotMessage> | Rx.Observable<{
    event: import("./types").StandardizedMessageType;
    exchange: Exchange;
    base: string;
    quote: string;
    asks: import("./types").Order[];
    bids: import("./types").Order[];
}>>;
export declare const createExchangeOrderObservables: R.CurriedFunction2<Options, Exchange[], Rx.Observable<any>[]>;
