import * as R from 'ramda';
import { AddOrderMessage, FillOrderMessage, SnapshotMessage, RemoveOrderMessage, OrderMessage } from '../types';
export declare const isOrderEvent: R.Pred;
export declare const isAddOrderEvent: (payload: any) => payload is AddOrderMessage;
export declare const isFillOrderEvent: (payload: any) => payload is FillOrderMessage;
export declare const isRemoveOrderEvent: (payload: any) => payload is RemoveOrderMessage;
export declare const isSnapshotEvent: (payload: any) => payload is SnapshotMessage;
export declare const debugAddOrderEvent: (value: AddOrderMessage) => void;
export declare const debugFillOrderEvent: (value: FillOrderMessage) => void;
export declare const debugRemoveOrderEvent: (value: RemoveOrderMessage) => void;
export declare const debugSnapshotEvent: (value: SnapshotMessage) => void;
export declare const debugEvent: (...a: (OrderMessage | SnapshotMessage)[]) => void;
