import * as Rx from 'rxjs';
import { Options, SnapshotMessage, Order } from '../../types';
interface KyberOrderbook {
    base: string;
    quote: string;
    asks: Order[];
    bids: Order[];
}
export declare const getObservableKyberOrders: ({ base, quote, network }: Options) => Rx.Observable<KyberOrderbook>;
export declare const standardizeStream: (stream$: Rx.Observable<KyberOrderbook>) => Rx.Observable<SnapshotMessage>;
export {};
